package com.steering.mes.zgmil.entity;

public class MilCheckDeatilSimpleEntity {
	 /**
     * 炉号
     */
    private String judgeStoveNo;
    /**
     * 缺陷项名称
     */
    private String defectItem;
    /**
     * 废品支
     */
    private String wasteBranch;
    /**
     * 废品吨
     */
    private String wasteTons;
    /**
     * 下线支
     */
    private String offlineProduct;
    /**
     * 缺陷项代码
     */
    private String defectCode;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 性能批号
     */
    private String simpleLotNo;
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";

    public MilCheckDeatilSimpleEntity(){
        judgeStoveNo = "";
        defectItem = "";
        wasteBranch = "";
        wasteTons = "";
        offlineProduct = "";
        defectCode = "";
        resultNo = "";
        simpleLotNo = "";
        proPlanId = "";
        gxPlanNo = "";
        validflag = "";
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 缺陷项名称
     * @return value
     */
    public String getDefectItem() {
        return defectItem;
    }

    /**
     * 缺陷项名称
     * @param defectItem value
     */
    public void setDefectItem(String defectItem) {
        this.defectItem = defectItem;
    }

    /**
     * 废品支
     * @return value
     */
    public String getWasteBranch() {
        return wasteBranch;
    }

    /**
     * 废品支
     * @param wasteBranch value
     */
    public void setWasteBranch(String wasteBranch) {
        this.wasteBranch = wasteBranch;
    }

    /**
     * 废品吨
     * @return value
     */
    public String getWasteTons() {
        return wasteTons;
    }

    /**
     * 废品吨
     * @param wasteTons value
     */
    public void setWasteTons(String wasteTons) {
        this.wasteTons = wasteTons;
    }

    /**
     * 下线支
     * @return value
     */
    public String getOfflineProduct() {
        return offlineProduct;
    }

    /**
     * 下线支
     * @param offlineProduct value
     */
    public void setOfflineProduct(String offlineProduct) {
        this.offlineProduct = offlineProduct;
    }

    /**
     * 缺陷项代码
     * @return value
     */
    public String getDefectCode() {
        return defectCode;
    }

    /**
     * 缺陷项代码
     * @param defectCode value
     */
    public void setDefectCode(String defectCode) {
        this.defectCode = defectCode;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getSimpleLotNo() {
        return simpleLotNo;
    }

    /**
     * 性能批号
     * @param simpleLotNo value
     */
    public void setSimpleLotNo(String simpleLotNo) {
        this.simpleLotNo = simpleLotNo;
    }
    
    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }
}
